package com.example.user.myapp;

import android.app.Application;

import com.ghgande.j2mod.modbus.facade.ModbusTCPMaster;
import com.ghgande.j2mod.modbus.net.TCPMasterConnection;

import java.net.InetAddress;
import java.net.UnknownHostException;

public class GlobalState extends Application {

    // coil
    private String ipAddress;
    private int port = 502;
    private int coilRef;
    private int coilCount;

    //
    public enum InputConfig {
     /*   Q_COIL (8192, 8),
        AI_IR (1, 1),
        I_DI(1, 12);
*/
        Q_COIL(8192, 8),
        VM_COIL2 (1, 8),
        VM_COIL3 (65, 8),
        AI_IR(0, 2),
        I_DI(0, 12);

        private int startReference;
        private int count;

        InputConfig (int startReference, int count) {
            this.startReference = startReference;
            this.count = count;
        }


        // getter/setter
        public int getStartReference() {
            return startReference;
        }

        public int getCount() {
            return count;
        }
    }

    // getter/setter
    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public int getCoilCount() {
        return coilCount;
    }

    public void setCoilCount(int coilCount) {
        this.coilCount = coilCount;
    }

    public void setCoilRef(int coilRef) {
        this.coilRef = coilRef;
    }

    public int getCoilRef() {
        return coilRef;
    }
}
